OGRE: Ogre::v1::TempBlendedBufferInfo Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::v1::TempBlendedBufferInfo Class Reference
Core » RenderSystem

Structure for recording the use of temporary blend buffers. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::v1::TempBlendedBufferInfo:
[legend]

## Public Member Functions
| ~TempBlendedBufferInfo (void)
void | bindTempCopies (VertexData *targetData, bool suppressHardwareUpload)
| Utility method, binds dest copies into a given VertexData struct. More...
bool | buffersCheckedOut (bool positions=true, bool normals=true) const
| Detect currently have buffer copies checked out and touch it. More...
void | checkoutTempCopies (bool positions=true, bool normals=true)
| Utility method, checks out temporary copies of src into dest. More...
void | extractFrom (const VertexData *sourceData)
| Utility method, extract info from the given VertexData. More...
void | licenseExpired (HardwareBuffer *buffer)
| Overridden member from HardwareBufferLicensee. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

Structure for recording the use of temporary blend buffers.

## Constructor & Destructor Documentation

## ◆ ~TempBlendedBufferInfo()

Ogre::v1::TempBlendedBufferInfo::~TempBlendedBufferInfo | ( | void |  | ) |

## Member Function Documentation

## ◆ bindTempCopies()

void Ogre::v1::TempBlendedBufferInfo::bindTempCopies | ( | VertexData * | targetData,
|  | bool | suppressHardwareUpload
| ) |  |

Utility method, binds dest copies into a given VertexData struct.

## ◆ buffersCheckedOut()

bool Ogre::v1::TempBlendedBufferInfo::buffersCheckedOut | ( | bool | positions = `true`,
|  | bool | normals = `true`
| ) |  | const

Detect currently have buffer copies checked out and touch it.

## ◆ checkoutTempCopies()

void Ogre::v1::TempBlendedBufferInfo::checkoutTempCopies | ( | bool | positions = `true`,
|  | bool | normals = `true`
| ) |  |

Utility method, checks out temporary copies of src into dest.

## ◆ extractFrom()

void Ogre::v1::TempBlendedBufferInfo::extractFrom | ( | const VertexData * | sourceData | ) |

Utility method, extract info from the given VertexData.

## ◆ licenseExpired()

void Ogre::v1::TempBlendedBufferInfo::licenseExpired | ( | HardwareBuffer * | buffer | ) |
| virtual

Overridden member from HardwareBufferLicensee.

Implements Ogre::v1::HardwareBufferLicensee.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h